Upstream information

CVE-2023-33201 at MITRE

Description

Bouncy Castle For Java before 1.74 is affected by an LDAP injection vulnerability. The vulnerability only affects applications that use an LDAP CertStore from Bouncy Castle to validate X.509 certificates. During the certificate validation process, Bouncy Castle inserts the certificate's Subject Name into an LDAP search filter without any escaping, which leads to an LDAP injection vulnerability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 8.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact Low High
Integrity Impact None High
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1212508 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-Storage-7.1-2023-2843
SUSE Enterprise Storage 7
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-Storage-7-2023-2843
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Development Tools 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP4-2023-2843
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Development Tools 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP5-2023-2843
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-2843
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-2843
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-2843
SUSE Linux Enterprise Real Time 15 SP3
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-SLE-Product-RT-15-SP3-2023-2843
SUSE Linux Enterprise Server 15 SP2-LTSS
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-2843
SUSE Linux Enterprise Server 15 SP3-LTSS
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-2843
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-2843
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-2843
openSUSE Leap 15.4
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-javadoc >= 1.74-150200.3.21.1
  • bouncycastle-mail >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-tls >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
openSUSE-SLE-15.4-2023-2843
openSUSE Leap 15.5
  • bouncycastle >= 1.74-150200.3.21.1
  • bouncycastle-javadoc >= 1.74-150200.3.21.1
  • bouncycastle-jmail >= 1.74-150200.3.21.1
  • bouncycastle-mail >= 1.74-150200.3.21.1
  • bouncycastle-pg >= 1.74-150200.3.21.1
  • bouncycastle-pkix >= 1.74-150200.3.21.1
  • bouncycastle-tls >= 1.74-150200.3.21.1
  • bouncycastle-util >= 1.74-150200.3.21.1
Patchnames:
openSUSE-SLE-15.5-2023-2843
openSUSE Tumbleweed
  • bouncycastle >= 1.74-1.1
  • bouncycastle-javadoc >= 1.74-1.1
  • bouncycastle-jmail >= 1.74-1.1
  • bouncycastle-mail >= 1.74-1.1
  • bouncycastle-pg >= 1.74-1.1
  • bouncycastle-pkix >= 1.74-1.1
  • bouncycastle-tls >= 1.74-1.1
  • bouncycastle-util >= 1.74-1.1
Patchnames:
openSUSE Tumbleweed GA bouncycastle-1.74-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 bouncycastle Released
SUSE Linux Enterprise Desktop 15 SP5 bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP5 bouncycastle Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 bouncycastle Released
SUSE Linux Enterprise Real Time 15 SP3 bouncycastle Released
SUSE Linux Enterprise Server 15 SP5 bouncycastle Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 bouncycastle Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 bouncycastle Released
SUSE Manager Proxy 4.3 bouncycastle Released
SUSE Manager Retail Branch Server 4.3 bouncycastle Released
SUSE Manager Server 4.3 bouncycastle Released
openSUSE Leap 15.5 bouncycastle Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP2 bouncycastle Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS bouncycastle Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP3 bouncycastle Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP4 bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS bouncycastle Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS bouncycastle Affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 bouncycastle Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 bouncycastle Affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 bouncycastle Released
SUSE Linux Enterprise Server 15 SP2 bouncycastle Affected
SUSE Linux Enterprise Server 15 SP2-LTSS bouncycastle Released
SUSE Linux Enterprise Server 15 SP3 bouncycastle Affected
SUSE Linux Enterprise Server 15 SP3-LTSS bouncycastle Released
SUSE Linux Enterprise Server 15 SP4 bouncycastle Released
SUSE Linux Enterprise Server 15 SP4-LTSS bouncycastle Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 bouncycastle Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 bouncycastle Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Enterprise Storage 7 bouncycastle Released
SUSE Linux Enterprise Desktop 15 SP2 bouncycastle Affected
SUSE Linux Enterprise Desktop 15 SP3 bouncycastle Affected
SUSE Linux Enterprise Real Time 15 SP2 bouncycastle Affected
SUSE Linux Enterprise Real Time 15 SP4 bouncycastle Affected
SUSE Linux Enterprise Server 15 SP2-BCL bouncycastle Affected
SUSE Linux Enterprise Server 15 SP3-BCL bouncycastle Affected
SUSE Manager Proxy 4.1 bouncycastle Affected
SUSE Manager Proxy 4.2 bouncycastle Affected
SUSE Manager Retail Branch Server 4.1 bouncycastle Affected
SUSE Manager Retail Branch Server 4.2 bouncycastle Affected
SUSE Manager Server 4.1 bouncycastle Affected
SUSE Manager Server 4.2 bouncycastle Affected
openSUSE Leap 15.4 bouncycastle Released


SUSE Timeline for this CVE

CVE page created: Fri Jun 16 10:00:34 2023
CVE page last modified: Thu Feb 22 17:23:58 2024